OpenNMS API 1.2.9

## org.opennms.netmgt.config.vulnscand
Class ScanLevel

    java.lang.Object
      org.opennms.netmgt.config.vulnscand.ScanLevel

All Implemented Interfaces:
  java.io.Serializable

public class ScanLevel
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_level` keeps track of state for field: _level
`private boolean` `_has_safeChecks` keeps track of state for field: _safeChecks
`private int` `_level`
`private java.lang.String` `_pluginList`
`private java.util.ArrayList` `_rangeList`
`private boolean` `_safeChecks`
`private java.util.ArrayList` `_specificList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ScanLevel()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addRange(int index, Range vRange)`
`void` `addRange(Range vRange)`
`void` `addSpecific(int index, java.lang.String vSpecific)`
`void` `addSpecific(java.lang.String vSpecific)`
`void` `clearRange()`
`void` `clearSpecific()`
`java.util.Enumeration` `enumerateRange()`
`java.util.Enumeration` `enumerateSpecific()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getLevel()` Returns the value of field 'level'.
`java.lang.String` `getPluginList()` Returns the value of field 'pluginList'.
`Range[]` `getRange()`
`Range` `getRange(int index)`
`java.util.Collection` `getRangeCollection()`
`int` `getRangeCount()`
`boolean` `getSafeChecks()` Returns the value of field 'safeChecks'.
`java.lang.String[]` `getSpecific()`
`java.lang.String` `getSpecific(int index)`
`java.util.Collection` `getSpecificCollection()`
`int` `getSpecificCount()`
`boolean` `hasLevel()`
`boolean` `hasSafeChecks()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeRange(Range vRange)`
`boolean` `removeSpecific(java.lang.String vSpecific)`
`void` `setLevel(int level)` Sets the value of field 'level'.
`void` `setPluginList(java.lang.String pluginList)` Sets the value of field 'pluginList'.
`void` `setRange(int index, Range vRange)`
`void` `setRange(Range[] rangeArray)`
`void` `setRangeCollection(java.util.Collection vRange)`
`void` `setSafeChecks(boolean safeChecks)` Sets the value of field 'safeChecks'.
`void` `setSpecific(int index, java.lang.String vSpecific)`
`void` `setSpecific(java.lang.String[] specificArray)`
`void` `setSpecificCollection(java.util.Collection vSpecific)`
`static ScanLevel` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _level

    private int _level

### _has_level

    private boolean _has_level

  keeps track of state for field: _level

### _safeChecks

    private boolean _safeChecks

### _has_safeChecks

    private boolean _has_safeChecks

  keeps track of state for field: _safeChecks

### _pluginList

    private java.lang.String _pluginList

### _specificList

    private java.util.ArrayList _specificList

### _rangeList

    private java.util.ArrayList _rangeList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ScanLevel

    public ScanLevel()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addRange

    public void addRange(Range vRange)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addRange

    public void addRange(int index,
                         Range vRange)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSpecific

    public void addSpecific(java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSpecific

    public void addSpecific(int index,
                            java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearRange

    public void clearRange()

### clearSpecific

    public void clearSpecific()

### enumerateRange

    public java.util.Enumeration enumerateRange()

### enumerateSpecific

    public java.util.Enumeration enumerateSpecific()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getLevel

    public int getLevel()

  Returns the value of field 'level'.

  Returns:
    the value of field 'level'.

### getPluginList

    public java.lang.String getPluginList()

  Returns the value of field 'pluginList'.

  Returns:
    the value of field 'pluginList'.

### getRange

    public Range getRange(int index)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getRange

    public Range[] getRange()

### getRangeCollection

    public java.util.Collection getRangeCollection()

### getRangeCount

    public int getRangeCount()

### getSafeChecks

    public boolean getSafeChecks()

  Returns the value of field 'safeChecks'.

  Returns:
    the value of field 'safeChecks'.

### getSpecific

    public java.lang.String getSpecific(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSpecific

    public java.lang.String[] getSpecific()

### getSpecificCollection

    public java.util.Collection getSpecificCollection()

### getSpecificCount

    public int getSpecificCount()

### hasLevel

    public boolean hasLevel()

### hasSafeChecks

    public boolean hasSafeChecks()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeRange

    public boolean removeRange(Range vRange)

  Parameters:
    `vRange` -

### removeSpecific

    public boolean removeSpecific(java.lang.String vSpecific)

  Parameters:
    `vSpecific` -

### setLevel

    public void setLevel(int level)

  Sets the value of field 'level'.

  Parameters:
    `level` - the value of field 'level'.

### setPluginList

    public void setPluginList(java.lang.String pluginList)

  Sets the value of field 'pluginList'.

  Parameters:
    `pluginList` - the value of field 'pluginList'.

### setRange

    public void setRange(int index,
                         Range vRange)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setRange

    public void setRange(Range[] rangeArray)

  Parameters:
    `rangeArray` -

### setRangeCollection

    public void setRangeCollection(java.util.Collection vRange)

  Parameters:
    `vRange` -

### setSafeChecks

    public void setSafeChecks(boolean safeChecks)

  Sets the value of field 'safeChecks'.

  Parameters:
    `safeChecks` - the value of field 'safeChecks'.

### setSpecific

    public void setSpecific(int index,
                            java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSpecific

    public void setSpecific(java.lang.String[] specificArray)

  Parameters:
    `specificArray` -

### setSpecificCollection

    public void setSpecificCollection(java.util.Collection vSpecific)

  Parameters:
    `vSpecific` -

### unmarshal

    public static ScanLevel unmarshal(java.io.Reader reader)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.